Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# internal_state Struct Reference

`#include <deflate.h>`

Collaboration diagram for internal_state:

[legend]
List of all members.

## Public Attributes
z_streamp | strm
int | status
Bytef * | pending_buf
ulg | pending_buf_size
Bytef * | pending_out
int | pending
int | noheader
Byte | data_type
Byte | method
int | last_flush
uInt | w_size
uInt | w_bits
uInt | w_mask
Bytef * | window
ulg | window_size
Posf * | prev
Posf * | head
uInt | ins_h
uInt | hash_size
uInt | hash_bits
uInt | hash_mask
uInt | hash_shift
long | block_start
uInt | match_length
IPos | prev_match
int | match_available
uInt | strstart
uInt | match_start
uInt | lookahead
uInt | prev_length
uInt | max_chain_length
uInt | max_lazy_match
int | level
int | strategy
uInt | good_match
int | nice_match
ct_data_s | dyn_ltree [(2 *(256+1+29)+1)]
ct_data_s | dyn_dtree [2 *30+1]
ct_data_s | bl_tree [2 *19+1]
tree_desc_s | l_desc
tree_desc_s | d_desc
tree_desc_s | bl_desc
ush | bl_count [15+1]
int | heap [2 *(256+1+29)+1]
int | heap_len
int | heap_max
uch | depth [2 *(256+1+29)+1]
uchf * | l_buf
uInt | lit_bufsize
uInt | last_lit
ushf * | d_buf
ulg | opt_len
ulg | static_len
uInt | matches
int | last_eob_len
ush | bi_buf
int | bi_valid
inflate_mode | mode
union {
uInt method
struct {
uLong was
uLong need
} check
uInt marker
} | sub
int | nowrap
uInt | wbits
inflate_blocks_statef * | blocks
int | dummy

## Member Data Documentation

ush internal_state::bi_buf

int internal_state::bi_valid

ush internal_state::bl_count[ 15 +1]

struct tree_desc_s internal_state::bl_desc

struct ct_data_s internal_state::bl_tree[2* 19 +1]

long internal_state::block_start

inflate_blocks_statef* internal_state::blocks

struct { ... } internal_state::check

ushf* internal_state::d_buf

struct tree_desc_s internal_state::d_desc

Byte internal_state::data_type

uch internal_state::depth[2* ( 256 +1+ 29 ) +1]

int internal_state::dummy

struct ct_data_s internal_state::dyn_dtree[2* 30 +1]

struct ct_data_s internal_state::dyn_ltree[ (2* ( 256 +1+ 29 ) +1) ]

uInt internal_state::good_match

uInt internal_state::hash_bits

uInt internal_state::hash_mask

uInt internal_state::hash_shift

uInt internal_state::hash_size

Posf* internal_state::head

int internal_state::heap[2* ( 256 +1+ 29 ) +1]

int internal_state::heap_len

int internal_state::heap_max

uInt internal_state::ins_h

uchf* internal_state::l_buf

struct tree_desc_s internal_state::l_desc

int internal_state::last_eob_len

int internal_state::last_flush

uInt internal_state::last_lit

int internal_state::level

uInt internal_state::lit_bufsize

uInt internal_state::lookahead

uInt internal_state::marker

int internal_state::match_available

uInt internal_state::match_length

uInt internal_state::match_start

uInt internal_state::matches

uInt internal_state::max_chain_length

uInt internal_state::max_lazy_match

uInt internal_state::method

Byte internal_state::method

inflate_mode internal_state::mode

uLong internal_state::need

int internal_state::nice_match

int internal_state::noheader

int internal_state::nowrap

ulg internal_state::opt_len

int internal_state::pending

Bytef* internal_state::pending_buf

ulg internal_state::pending_buf_size

Bytef* internal_state::pending_out

Posf* internal_state::prev

uInt internal_state::prev_length

IPos internal_state::prev_match

ulg internal_state::static_len

int internal_state::status

int internal_state::strategy

z_streamp internal_state::strm

uInt internal_state::strstart

union { ... } internal_state::sub

uInt internal_state::w_bits

uInt internal_state::w_mask

uInt internal_state::w_size

uLong internal_state::was

uInt internal_state::wbits

Bytef* internal_state::window

ulg internal_state::window_size

The documentation for this struct was generated from the following files:

- deflate.h
- inflate.c
- inftrees.c
- infutil.h
- zlib.h
- zutil.c